com.microfocus.awm.meta.interfaces

## Interface ActionDescriptor

- All Superinterfaces:
    AWMIdentifiableObject, AWMObject, org.eclipse.emf.ecore.EObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ActionDescriptorImpl

      public interface ActionDescriptor
      extends AWMIdentifiableObject

  An action is an integrally closed function that can be triggered in the user interface. An action can consist of a number of tools. In the data model, the description of an action is called the Action Descriptor. An Action Descriptor must refer to at least one Tool Descriptor. An execution number (SeqNo) specifies a tool's processing sequence within the action, which is determined by the relationship to a Tool Descriptor.

  The following features are supported:

  - `Has Tool`
  - `Execution Mode`
  - `Has Elementlist`
  - `Icon`
  - `Key Binding Context`
  - `Key Sequence`
  - `Label`
  - `Link Element List`
  - `Mass Processing`
  - `Refresh List`
  - `Related Close Action`
  - `Related Save Action`
  - `Table View ID`
  - `Table View Label`
  - `Show Progress Monitor`
  - `Custom Error Message`
  See Also:
    `TaurusPackage.getActionDescriptor()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionDescriptor` | `clone()` Clones this action descriptor.
    `java.lang.String` | `getCustomErrorMessage()` Returns the value of the 'Custom Error Message' attribute.
    `EActionExecutionMode` | `getExecutionMode()` Returns the value of the 'Execution Mode' attribute.
    `ElementListStructure` | `getHasElementlist()` Returns the value of the 'Has Elementlist' reference.
    `org.eclipse.emf.common.util.EList<RActionTool>` | `getHasTool()` Returns the value of the 'Has Tool' containment reference list.
    `Icon` | `getIcon()` Returns the value of the 'Icon' reference.
    `java.lang.String` | `getKeyBindingContext()` Returns the value of the 'Key Binding Context' attribute.
    `java.lang.String` | `getKeySequence()` Returns the value of the 'Key Sequence' attribute.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or the ID if the Label wasn't set.
    `ActionDescriptor` | `getRelatedCloseAction()` Returns the value of the 'Related Close Action' reference.
    `ActionDescriptor` | `getRelatedSaveAction()` Returns the value of the 'Related Save Action' reference.
    `java.lang.String` | `getTableViewID()` Returns the value of the 'Table View ID' attribute.
    `java.lang.String` | `getTableViewLabel()` Returns the value of the 'Table View Label' attribute.
    `boolean` | `isLinkElementList()` Returns the value of the 'Link Element List' attribute.
    `boolean` | `isMassProcessing()` Returns the value of the 'Mass Processing' attribute.
    `boolean` | `isRefreshList()` Returns the value of the 'Refresh List' attribute.
    `boolean` | `isSetExecutionMode()` Returns whether the value of the '`Execution Mode`' attribute is set.
    `boolean` | `isSetHasElementlist()` Returns whether the value of the '`Has Elementlist`' reference is set.
    `boolean` | `isSetLabel()` Returns whether the value of the '`Label`' attribute is set.
    `boolean` | `isSetLinkElementList()` Returns whether the value of the '`Link Element List`' attribute is set.
    `boolean` | `isSetMassProcessing()` Returns whether the value of the '`Mass Processing`' attribute is set.
    `boolean` | `isSetRefreshList()` Returns whether the value of the '`Refresh List`' attribute is set.
    `boolean` | `isSetShowProgressMonitor()` Returns whether the value of the '`Show Progress Monitor`' attribute is set.
    `boolean` | `isShowProgressMonitor()` Returns the value of the 'Show Progress Monitor' attribute.
    `void` | `setCustomErrorMessage(java.lang.String value)` Sets the value of the '`Custom Error Message`' attribute.
    `void` | `setExecutionMode(EActionExecutionMode value)` Sets the value of the '`Execution Mode`' attribute.
    `void` | `setHasElementlist(ElementListStructure value)` Sets the value of the '`Has Elementlist`' reference.
    `void` | `setIcon(Icon value)` Sets the value of the '`Icon`' reference.
    `void` | `setKeyBindingContext(java.lang.String value)` Sets the value of the '`Key Binding Context`' attribute.
    `void` | `setKeySequence(java.lang.String value)` Sets the value of the '`Key Sequence`' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setLinkElementList(boolean value)` Sets the value of the '`Link Element List`' attribute.
    `void` | `setMassProcessing(boolean value)` Sets the value of the '`Mass Processing`' attribute.
    `void` | `setRefreshList(boolean value)` Sets the value of the '`Refresh List`' attribute.
    `void` | `setRelatedCloseAction(ActionDescriptor value)` Sets the value of the '`Related Close Action`' reference.
    `void` | `setRelatedSaveAction(ActionDescriptor value)` Sets the value of the '`Related Save Action`' reference.
    `void` | `setShowProgressMonitor(boolean value)` Sets the value of the '`Show Progress Monitor`' attribute.
    `void` | `setTableViewID(java.lang.String value)` Sets the value of the '`Table View ID`' attribute.
    `void` | `setTableViewLabel(java.lang.String value)` Sets the value of the '`Table View Label`' attribute.
    `void` | `unsetExecutionMode()` Unsets the value of the '`Execution Mode`' attribute.
    `void` | `unsetHasElementlist()` Unsets the value of the '`Has Elementlist`' reference.
    `void` | `unsetLabel()` Unsets the value of the '`Label`' attribute.
    `void` | `unsetLinkElementList()` Unsets the value of the '`Link Element List`' attribute.
    `void` | `unsetMassProcessing()` Unsets the value of the '`Mass Processing`' attribute.
    `void` | `unsetRefreshList()` Unsets the value of the '`Refresh List`' attribute.
    `void` | `unsetShowProgressMonitor()` Unsets the value of the '`Show Progress Monitor`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getHasTool

          org.eclipse.emf.common.util.EList<RActionTool> getHasTool()

      Returns the value of the 'Has Tool' containment reference list. The list contents are of type `RActionTool`. Relationship to a tool descriptor. The tool sequence for an action is defined by these relationships.
      Returns:
        the value of the 'Has Tool' containment reference list.
      See Also:
        `TaurusPackage.getActionDescriptor_HasTool()`

    - #### getExecutionMode

          EActionExecutionMode getExecutionMode()

      Returns the value of the 'Execution Mode' attribute. The literals are from the enumeration `EActionExecutionMode`.
      The mode in which the action is executed. Valid values are MODAL or MODELESS. The action is executed in the background if the MODELESS option is used which means that the UI is not blocked until the action has finished.
      Returns:
        the value of the 'Execution Mode' attribute.
      See Also:
        `EActionExecutionMode`, `isSetExecutionMode()`, `unsetExecutionMode()`, `setExecutionMode(EActionExecutionMode)`, `TaurusPackage.getActionDescriptor_ExecutionMode()`

    - #### setExecutionMode

          void setExecutionMode(EActionExecutionMode value)

      Sets the value of the '`Execution Mode`' attribute.
      Parameters:
        `value` - the new value of the 'Execution Mode' attribute.
      See Also:
        `EActionExecutionMode`, `isSetExecutionMode()`, `unsetExecutionMode()`, `getExecutionMode()`

    - #### unsetExecutionMode

          void unsetExecutionMode()

      Unsets the value of the '`Execution Mode`' attribute.
      See Also:
        `isSetExecutionMode()`, `getExecutionMode()`, `setExecutionMode(EActionExecutionMode)`

    - #### isSetExecutionMode

          boolean isSetExecutionMode()

      Returns whether the value of the '`Execution Mode`' attribute is set.
      Returns:
        whether the value of the 'Execution Mode' attribute is set.
      See Also:
        `unsetExecutionMode()`, `getExecutionMode()`, `setExecutionMode(EActionExecutionMode)`

    - #### getHasElementlist

          ElementListStructure getHasElementlist()

      Returns the value of the 'Has Elementlist' reference.
      Reference to an element list structure if a tool of the action returns an element list.
      Returns:
        the value of the 'Has Elementlist' reference.
      See Also:
        `isSetHasElementlist()`, `unsetHasElementlist()`, `setHasElementlist(ElementListStructure)`, `TaurusPackage.getActionDescriptor_HasElementlist()`

    - #### setHasElementlist

          void setHasElementlist(ElementListStructure value)

      Sets the value of the '`Has Elementlist`' reference.
      Parameters:
        `value` - the new value of the 'Has Elementlist' reference.
      See Also:
        `isSetHasElementlist()`, `unsetHasElementlist()`, `getHasElementlist()`

    - #### unsetHasElementlist

          void unsetHasElementlist()

      Unsets the value of the '`Has Elementlist`' reference.
      See Also:
        `isSetHasElementlist()`, `getHasElementlist()`, `setHasElementlist(ElementListStructure)`

    - #### isSetHasElementlist

          boolean isSetHasElementlist()

      Returns whether the value of the '`Has Elementlist`' reference is set.
      Returns:
        whether the value of the 'Has Elementlist' reference is set.
      See Also:
        `unsetHasElementlist()`, `getHasElementlist()`, `setHasElementlist(ElementListStructure)`

    - #### getIcon

          Icon getIcon()

      Returns the value of the 'Icon' reference.
      The icon which is shown in the in context menus in front of the action's label.
      Returns:
        the value of the 'Icon' reference.
      See Also:
        `setIcon(Icon)`, `TaurusPackage.getActionDescriptor_Icon()`

    - #### setIcon

          void setIcon(Icon value)

      Sets the value of the '`Icon`' reference.
      Parameters:
        `value` - the new value of the 'Icon' reference.
      See Also:
        `getIcon()`

    - #### getKeyBindingContext

          java.lang.String getKeyBindingContext()

      Returns the value of the 'Key Binding Context' attribute.
      The context under which the key binding is active. This can be used to define a specific context in order to avoid conflicts with other key bindings.
      Returns:
        the value of the 'Key Binding Context' attribute.
      See Also:
        `setKeyBindingContext(String)`, `TaurusPackage.getActionDescriptor_KeyBindingContext()`

    - #### setKeyBindingContext

          void setKeyBindingContext(java.lang.String value)

      Sets the value of the '`Key Binding Context`' attribute.
      Parameters:
        `value` - the new value of the 'Key Binding Context' attribute.
      See Also:
        `getKeyBindingContext()`

    - #### getKeySequence

          java.lang.String getKeySequence()

      Returns the value of the 'Key Sequence' attribute.
      Keystroke or combination to execute the action (e.g. Ctrl + Shift + K).
      Returns:
        the value of the 'Key Sequence' attribute.
      See Also:
        `setKeySequence(String)`, `TaurusPackage.getActionDescriptor_KeySequence()`

    - #### setKeySequence

          void setKeySequence(java.lang.String value)

      Sets the value of the '`Key Sequence`' attribute.
      Parameters:
        `value` - the new value of the 'Key Sequence' attribute.
      See Also:
        `getKeySequence()`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      The labeling of the action descriptor. The label of an action descriptor is mainly seen in the context menu.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `isSetLabel()`, `unsetLabel()`, `setLabel(String)`, `TaurusPackage.getActionDescriptor_Label()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or the ID if the Label wasn't set.
      Returns:
        the label.

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `isSetLabel()`, `unsetLabel()`, `getLabel()`

    - #### unsetLabel

          void unsetLabel()

      Unsets the value of the '`Label`' attribute.
      See Also:
        `isSetLabel()`, `getLabel()`, `setLabel(String)`

    - #### isSetLabel

          boolean isSetLabel()

      Returns whether the value of the '`Label`' attribute is set.
      Returns:
        whether the value of the 'Label' attribute is set.
      See Also:
        `unsetLabel()`, `getLabel()`, `setLabel(String)`

    - #### isLinkElementList

          boolean isLinkElementList()

      Returns the value of the 'Link Element List' attribute. The default value is `"true"`.
      Only relevant if a tool returns an element list. It is ignored if no element list is created. If true, the created element list is linked to the context resource of the action.
      Returns:
        the value of the 'Link Element List' attribute.
      See Also:
        `isSetLinkElementList()`, `unsetLinkElementList()`, `setLinkElementList(boolean)`, `TaurusPackage.getActionDescriptor_LinkElementList()`

    - #### setLinkElementList

          void setLinkElementList(boolean value)

      Sets the value of the '`Link Element List`' attribute.
      Parameters:
        `value` - the new value of the 'Link Element List' attribute.
      See Also:
        `isSetLinkElementList()`, `unsetLinkElementList()`, `isLinkElementList()`

    - #### unsetLinkElementList

          void unsetLinkElementList()

      Unsets the value of the '`Link Element List`' attribute.
      See Also:
        `isSetLinkElementList()`, `isLinkElementList()`, `setLinkElementList(boolean)`

    - #### isSetLinkElementList

          boolean isSetLinkElementList()

      Returns whether the value of the '`Link Element List`' attribute is set.
      Returns:
        whether the value of the 'Link Element List' attribute is set.
      See Also:
        `unsetLinkElementList()`, `isLinkElementList()`, `setLinkElementList(boolean)`

    - #### isMassProcessing

          boolean isMassProcessing()

      Returns the value of the 'Mass Processing' attribute. The default value is `"false"`.
      If set to true enables mass processing for multi selections, means the action executes only once, even if several elements are selected. Tools of the action must support mass processing to process the whole selection.
      Returns:
        the value of the 'Mass Processing' attribute.
      See Also:
        `isSetMassProcessing()`, `unsetMassProcessing()`, `setMassProcessing(boolean)`, `TaurusPackage.getActionDescriptor_MassProcessing()`

    - #### setMassProcessing

          void setMassProcessing(boolean value)

      Sets the value of the '`Mass Processing`' attribute.
      Parameters:
        `value` - the new value of the 'Mass Processing' attribute.
      See Also:
        `isSetMassProcessing()`, `unsetMassProcessing()`, `isMassProcessing()`

    - #### unsetMassProcessing

          void unsetMassProcessing()

      Unsets the value of the '`Mass Processing`' attribute.
      See Also:
        `isSetMassProcessing()`, `isMassProcessing()`, `setMassProcessing(boolean)`

    - #### isSetMassProcessing

          boolean isSetMassProcessing()

      Returns whether the value of the '`Mass Processing`' attribute is set.
      Returns:
        whether the value of the 'Mass Processing' attribute is set.
      See Also:
        `unsetMassProcessing()`, `isMassProcessing()`, `setMassProcessing(boolean)`

    - #### isRefreshList

          boolean isRefreshList()

      Returns the value of the 'Refresh List' attribute. The default value is `"false"`.
      If the action is executed on elements in the Table Results View and this attribute is set to true, the current element list is refreshed at the end of the action by executing the action that was used to create the list. This attribute does not support refreshing element lists in the Application Explorer View.
      Returns:
        the value of the 'Refresh List' attribute.
      See Also:
        `isSetRefreshList()`, `unsetRefreshList()`, `setRefreshList(boolean)`, `TaurusPackage.getActionDescriptor_RefreshList()`

    - #### setRefreshList

          void setRefreshList(boolean value)

      Sets the value of the '`Refresh List`' attribute.
      Parameters:
        `value` - the new value of the 'Refresh List' attribute.
      See Also:
        `isSetRefreshList()`, `unsetRefreshList()`, `isRefreshList()`

    - #### unsetRefreshList

          void unsetRefreshList()

      Unsets the value of the '`Refresh List`' attribute.
      See Also:
        `isSetRefreshList()`, `isRefreshList()`, `setRefreshList(boolean)`

    - #### isSetRefreshList

          boolean isSetRefreshList()

      Returns whether the value of the '`Refresh List`' attribute is set.
      Returns:
        whether the value of the 'Refresh List' attribute is set.
      See Also:
        `unsetRefreshList()`, `isRefreshList()`, `setRefreshList(boolean)`

    - #### getRelatedCloseAction

          ActionDescriptor getRelatedCloseAction()

      Returns the value of the 'Related Close Action' reference.
      Only relevant for Edit or Browse action. The selected Close action executes when closing the editor.
      Returns:
        the value of the 'Related Close Action' reference.
      See Also:
        `setRelatedCloseAction(ActionDescriptor)`, `TaurusPackage.getActionDescriptor_RelatedCloseAction()`

    - #### setRelatedCloseAction

          void setRelatedCloseAction(ActionDescriptor value)

      Sets the value of the '`Related Close Action`' reference.
      Parameters:
        `value` - the new value of the 'Related Close Action' reference.
      See Also:
        `getRelatedCloseAction()`

    - #### getRelatedSaveAction

          ActionDescriptor getRelatedSaveAction()

      Returns the value of the 'Related Save Action' reference.
      Only relevant for Edit action. The selected Save action executes when saving the editor.
      Returns:
        the value of the 'Related Save Action' reference.
      See Also:
        `setRelatedSaveAction(ActionDescriptor)`, `TaurusPackage.getActionDescriptor_RelatedSaveAction()`

    - #### setRelatedSaveAction

          void setRelatedSaveAction(ActionDescriptor value)

      Sets the value of the '`Related Save Action`' reference.
      Parameters:
        `value` - the new value of the 'Related Save Action' reference.
      See Also:
        `getRelatedSaveAction()`

    - #### getTableViewID

          java.lang.String getTableViewID()

      Returns the value of the 'Table View ID' attribute.
      The Table Results View secondary ID, which shows element lists created by this action.
      Returns:
        the value of the 'Table View ID' attribute.
      See Also:
        `setTableViewID(String)`, `TaurusPackage.getActionDescriptor_TableViewID()`

    - #### setTableViewID

          void setTableViewID(java.lang.String value)

      Sets the value of the '`Table View ID`' attribute.
      Parameters:
        `value` - the new value of the 'Table View ID' attribute.
      See Also:
        `getTableViewID()`

    - #### getTableViewLabel

          java.lang.String getTableViewLabel()

      Returns the value of the 'Table View Label' attribute.
      The label that the Table Results View takes when showing element lists created by this action.
      Returns:
        the value of the 'Table View Label' attribute.
      See Also:
        `setTableViewLabel(String)`, `TaurusPackage.getActionDescriptor_TableViewLabel()`

    - #### setTableViewLabel

          void setTableViewLabel(java.lang.String value)

      Sets the value of the '`Table View Label`' attribute.
      Parameters:
        `value` - the new value of the 'Table View Label' attribute.
      See Also:
        `getTableViewLabel()`

    - #### isShowProgressMonitor

          boolean isShowProgressMonitor()

      Returns the value of the 'Show Progress Monitor' attribute. The default value is `"true"`.
      Whether to show a progress monitor dilaog while the action is executing.
      Returns:
        the value of the 'Show Progress Monitor' attribute.
      See Also:
        `isSetShowProgressMonitor()`, `unsetShowProgressMonitor()`, `setShowProgressMonitor(boolean)`, `TaurusPackage.getActionDescriptor_ShowProgressMonitor()`

    - #### setShowProgressMonitor

          void setShowProgressMonitor(boolean value)

      Sets the value of the '`Show Progress Monitor`' attribute.
      Parameters:
        `value` - the new value of the 'Show Progress Monitor' attribute.
      See Also:
        `isSetShowProgressMonitor()`, `unsetShowProgressMonitor()`, `isShowProgressMonitor()`

    - #### unsetShowProgressMonitor

          void unsetShowProgressMonitor()

      Unsets the value of the '`Show Progress Monitor`' attribute.
      See Also:
        `isSetShowProgressMonitor()`, `isShowProgressMonitor()`, `setShowProgressMonitor(boolean)`

    - #### isSetShowProgressMonitor

          boolean isSetShowProgressMonitor()

      Returns whether the value of the '`Show Progress Monitor`' attribute is set.
      Returns:
        whether the value of the 'Show Progress Monitor' attribute is set.
      See Also:
        `unsetShowProgressMonitor()`, `isShowProgressMonitor()`, `setShowProgressMonitor(boolean)`

    - #### getCustomErrorMessage

          java.lang.String getCustomErrorMessage()

      Returns the value of the 'Custom Error Message' attribute.
      The message that will be shown if exception occurs during excecution of this action.
      Returns:
        the value of the 'Custom Error Message' attribute.
      See Also:
        `setCustomErrorMessage(String)`, `TaurusPackage.getActionDescriptor_CustomErrorMessage()`

    - #### setCustomErrorMessage

          void setCustomErrorMessage(java.lang.String value)

      Sets the value of the '`Custom Error Message`' attribute.
      Parameters:
        `value` - the new value of the 'Custom Error Message' attribute.
      See Also:
        `getCustomErrorMessage()`

    - #### clone

          ActionDescriptor clone()

      Clones this action descriptor.
      Returns:
        a new cloned instance of the action descriptor.
      See Also:
        `Cloneable`

Copyright © 2015 Micro Focus GmbH. All rights reserved.